#include <minigui.ch>

static lInitiated := .f.

Function Main
	set navigation extended

        Load Window Main
        Main.Center
        Main.Activate

Return


Function InitForm()
	lInitiated := .t.
	return nil


Function CalcCm()
	local mFt, mInch, mCm
	if !lInitiated
		return nil
	endif
	
	mFt := main.txtFt.value
	mInch := main.txtInch.value
	mCm := (mFt*12+mInch)*2.54
	if !empty(mCm)
		main.txtCm.value := mCm
	endif
	return nil
	
	
Function CalcKg()
	local mLb, mKg
	if !lInitiated
		return nil
	endif
	
	mLb := main.txtLb.value
	mKg := mLb * 0.454
	if !empty(mLb)
		main.txtKg.value := mKg
	endif
	return nil
	
	
Function CalcBmi()
	local mCm, mKg, mBmi, mesg, mTargetWt
	if !lInitiated
		return nil
	endif
	
	mCm := main.txtCm.value
	mKg := main.txtKg.value
	mBmi := 0.000
	
	if !empty(mCm)
		mBmi = mKg / (mCm * mCm) * 10000
	endif
	
	mTargetwt := mKg
	
	do case
		case mBmi < 17
			mTargetwt := 20*(mCm*mCm)/10000
		case mBmi > 25
			mTargetwt := 25*(mCm*mCm)/10000
	endcase
	
	do case
		case mCm < 15.000
			mesg := "Invalid Height!!! ;-)"
		case mKg < 10.00
			mesg := "Invalid Weight!!! ;-)"
		case mBmi < 17
			mesg := "You are underwaight! :-( Now eat more healthy foods :-) Your target weight will be "+ltrim(str(mTargetwt, 10, 2))+" Kg."
		case mBmi <= 25
			mesg := "Your weight is normal. :-) Please maintain it ;-)"
		case mBmi <= 30
			mesg := "You are overwaight. :-( Eat low-calory foods and exercise regularly :-) Your target weight will be "+ltrim(str(mTargetwt, 10, 2))+" Kg."
		otherwise
			mesg := "You are obase!!! :-0 Please visit your doctor immediately !!! Your target weight will be "+ltrim(str(mTargetwt, 10, 2))+" Kg."
	endcase
	
	main.txtBmi.value := mBmi
	main.lblRem.value := mesg
	return nil